Package wx :: Package lib :: Package masked

[frames | no frames]

## Package wx.lib.masked

package providing "masked edit" controls, allowing characters within a data entry control to remain fixed, and providing fine-grain control over allowed user input.

Submodules

- `combobox`: Provides masked edit capabilities within a ComboBox format, as well as a base class from which you can derive masked comboboxes tailored to a specific function.
- `ctrl`: masked.Ctrl is actually a factory function for several types of masked edit controls:
- `ipaddrctrl`: Provides a smart text input control that understands the structure and limits of IP Addresses, and allows automatic field navigation as the user hits '.' when typing.
- `maskededit`: contains MaskedEditMixin class that drives all the other masked controls.
- `numctrl`: allows you to get and set integer or floating point numbers as value,</LI>
- `textctrl`: Provides a generic, fully configurable masked edit text control, as well as a base class from which you can derive masked controls tailored to a specific function.
- `timectrl`: TimeCtrl provides a multi-cell control that allows manipulation of a time value.

Variable Summary
`str` | `__author__` = `'Will Sadkin <wsadkin |at| parlancecorp.com...`
`str` | `__date__` = `'02 Dec 2006, 19:00 GMT-05:00'`
`str` | `__version__` = `'1.11'`

Variable Details

### __author__

  Type:
    `str`
  Value:

        'Will Sadkin <wsadkin |at| parlancecorp.com>'

### __date__

  Type:
    `str`
  Value:

        '02 Dec 2006, 19:00 GMT-05:00'

### __version__

  Type:
    `str`
  Value:

        '1.11'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:52 2007 | http://epydoc.sf.net